libetonyek::KEYCollector Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libetonyek::KEYCollector Class Referenceabstract

`#include <KEYCollector.h>`

Inheritance diagram for libetonyek::KEYCollector:

## Public Member Functions
virtual | ~KEYCollector ()=0
virtual void | collectCellStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)=0
virtual void | collectCharacterStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)=0
virtual void | collectConnectionStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)=0
virtual void | collectGraphicStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)=0
virtual void | collectLayoutStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)=0
virtual void | collectListStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)=0
virtual void | collectParagraphStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)=0
virtual void | collectPlaceholderStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)=0
virtual void | collectSlideStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)=0
virtual void | collectTabularStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)=0
virtual void | collectVectorStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)=0
virtual void | collectGeometry (boost::optional< ID_t > &id, boost::optional< KEYSize > &naturalSize, boost::optional< KEYSize > &size, boost::optional< KEYPosition > &position, boost::optional< double > &angle, boost::optional< double > &shearXAngle, boost::optional< double > &shearYAngle, boost::optional< bool > &horizontalFlip, boost::optional< bool > &verticalFlip, boost::optional< bool > &aspectRatioLocked, boost::optional< bool > &sizesLocked)=0
virtual void | collectBezier (const boost::optional< ID_t > &id, const KEYPathPtr_t &path, bool ref)=0
virtual void | collectGroup (const boost::optional< ID_t > &id, const KEYGroupPtr_t &group)=0
virtual void | collectImage (const boost::optional< ID_t > &id, const KEYImagePtr_t &image)=0
virtual void | collectLine (const boost::optional< ID_t > &id, const KEYLinePtr_t &line)=0
virtual void | collectShape (const boost::optional< ID_t > &id)=0
virtual void | collectBezierPath (const boost::optional< ID_t > &id)=0
virtual void | collectPolygonPath (const boost::optional< ID_t > &id, const KEYSize &size, unsigned edges)=0
virtual void | collectRoundedRectanglePath (const boost::optional< ID_t > &id, const KEYSize &size, double radius)=0
virtual void | collectArrowPath (const boost::optional< ID_t > &id, const KEYSize &size, double headWidth, double stemRelYPos, bool doubleSided)=0
virtual void | collectStarPath (const boost::optional< ID_t > &id, const KEYSize &size, unsigned points, double innerRadius)=0
virtual void | collectConnectionPath (const boost::optional< ID_t > &id, const KEYSize &size, double middleX, double middleY)=0
virtual void | collectCalloutPath (const boost::optional< ID_t > &id, const KEYSize &size, double radius, double tailSize, double tailX, double tailY, bool quoteBubble)=0
virtual void | collectData (const boost::optional< ID_t > &id, const RVNGInputStreamPtr_t &stream, const boost::optional< std::string > &displayName, const boost::optional< unsigned > &type, bool ref)=0
virtual void | collectUnfiltered (const boost::optional< ID_t > &id, const boost::optional< KEYSize > &size, bool ref)=0
virtual void | collectFiltered (const boost::optional< ID_t > &id, const boost::optional< KEYSize > &size)=0
virtual void | collectLeveled (const boost::optional< ID_t > &id, const boost::optional< KEYSize > &size)=0
virtual void | collectFilteredImage (const boost::optional< ID_t > &id, bool ref)=0
virtual void | collectMovieMedia (const boost::optional< ID_t > &id)=0
virtual void | collectMedia (const boost::optional< ID_t > &id)=0
virtual void | collectPresentation (const boost::optional< KEYSize > &size)=0
virtual void | collectLayer (const boost::optional< ID_t > &id, bool ref)=0
virtual void | collectPage (const boost::optional< ID_t > &id)=0
virtual void | collectStylesheet (const boost::optional< ID_t > &id, const boost::optional< ID_t > &parent)=0
virtual void | collectText (const boost::optional< ID_t > &style, const std::string &text)=0
virtual void | collectTab ()=0
virtual void | collectLineBreak ()=0
virtual void | collectTextPlaceholder (const boost::optional< ID_t > &id, bool title, bool ref)=0
virtual void | collectTableSizes (const KEYTable::RowSizes_t &rowSizes, const KEYTable::ColumnSizes_t &columnSizes)=0
virtual void | collectTableCell (unsigned row, unsigned column, const boost::optional< std::string > &content, unsigned rowSpan, unsigned columnSpan)=0
virtual void | collectCoveredTableCell (unsigned row, unsigned column)=0
virtual void | collectTableRow ()=0
virtual void | collectTable ()=0
virtual void | collectNote ()=0
virtual void | collectStickyNote ()=0
virtual void | startPage ()=0
virtual void | endPage ()=0
virtual void | startLayer ()=0
virtual void | endLayer ()=0
virtual void | startGroup ()=0
virtual void | endGroup ()=0
virtual void | startParagraph (const boost::optional< ID_t > &style)=0
virtual void | endParagraph ()=0
virtual void | startText (bool object)=0
| Start of a block that can contain text. More...
virtual void | endText ()=0
| End of a text block. More...
virtual void | startSlides ()=0
virtual void | endSlides ()=0
virtual void | startThemes ()=0
virtual void | endThemes ()=0
virtual void | startLevel ()=0
virtual void | endLevel ()=0

## Constructor & Destructor Documentation

libetonyek::KEYCollector::~KEYCollector | ( |  | ) |
| pure virtual

## Member Function Documentation

virtual void libetonyek::KEYCollector::collectArrowPath | ( | const boost::optional< ID_t > & | id,
|  | const KEYSize & | size,
|  | double | headWidth,
|  | double | stemRelYPos,
|  | bool | doubleSided
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parsePointPath().

virtual void libetonyek::KEYCollector::collectBezier | ( | const boost::optional< ID_t > & | id,
|  | const KEYPathPtr_t & | path,
|  | bool | ref
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseBezier(), and libetonyek::KEY2Parser::parseBezierPath().

virtual void libetonyek::KEYCollector::collectBezierPath | ( | const boost::optional< ID_t > & | id | ) |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseBezierPath().

virtual void libetonyek::KEYCollector::collectCalloutPath | ( | const boost::optional< ID_t > & | id,
|  | const KEYSize & | size,
|  | double | radius,
|  | double | tailSize,
|  | double | tailX,
|  | double | tailY,
|  | bool | quoteBubble
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseCallout2Path().

virtual void libetonyek::KEYCollector::collectCellStyle | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< KEYPropertyMap > & | props,
|  | const boost::optional< std::string > & | ident,
|  | const boost::optional< std::string > & | parentIdent,
|  | bool | ref,
|  | bool | anonymous
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2StyleParser::parse(), and libetonyek::KEY2Parser::parseStyles().

virtual void libetonyek::KEYCollector::collectCharacterStyle | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< KEYPropertyMap > & | props,
|  | const boost::optional< std::string > & | ident,
|  | const boost::optional< std::string > & | parentIdent,
|  | bool | ref,
|  | bool | anonymous
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2StyleParser::parse(), and libetonyek::KEY2Parser::parseStyles().

virtual void libetonyek::KEYCollector::collectConnectionPath | ( | const boost::optional< ID_t > & | id,
|  | const KEYSize & | size,
|  | double | middleX,
|  | double | middleY
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseConnectionPath().

virtual void libetonyek::KEYCollector::collectConnectionStyle | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< KEYPropertyMap > & | props,
|  | const boost::optional< std::string > & | ident,
|  | const boost::optional< std::string > & | parentIdent,
|  | bool | ref,
|  | bool | anonymous
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2StyleParser::parse().

virtual void libetonyek::KEYCollector::collectCoveredTableCell | ( | unsigned | row,
|  | unsigned | column
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2TableParser::emitCell().

virtual void libetonyek::KEYCollector::collectData | ( | const boost::optional< ID_t > & | id,
|  | const RVNGInputStreamPtr_t & | stream,
|  | const boost::optional< std::string > & | displayName,
|  | const boost::optional< unsigned > & | type,
|  | bool | ref
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseData(), and libetonyek::KEY2Parser::parseOtherDatas().

virtual void libetonyek::KEYCollector::collectFiltered | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< KEYSize > & | size
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseFiltered().

virtual void libetonyek::KEYCollector::collectFilteredImage | ( | const boost::optional< ID_t > & | id,
|  | bool | ref
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseFilteredImage().

virtual void libetonyek::KEYCollector::collectGeometry | ( | boost::optional< ID_t > & | id,
|  | boost::optional< KEYSize > & | naturalSize,
|  | boost::optional< KEYSize > & | size,
|  | boost::optional< KEYPosition > & | position,
|  | boost::optional< double > & | angle,
|  | boost::optional< double > & | shearXAngle,
|  | boost::optional< double > & | shearYAngle,
|  | boost::optional< bool > & | horizontalFlip,
|  | boost::optional< bool > & | verticalFlip,
|  | boost::optional< bool > & | aspectRatioLocked,
|  | boost::optional< bool > & | sizesLocked
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseGeometry().

virtual void libetonyek::KEYCollector::collectGraphicStyle | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< KEYPropertyMap > & | props,
|  | const boost::optional< std::string > & | ident,
|  | const boost::optional< std::string > & | parentIdent,
|  | bool | ref,
|  | bool | anonymous
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2StyleParser::parse().

virtual void libetonyek::KEYCollector::collectGroup | ( | const boost::optional< ID_t > & | id,
|  | const KEYGroupPtr_t & | group
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseGroup().

virtual void libetonyek::KEYCollector::collectImage | ( | const boost::optional< ID_t > & | id,
|  | const KEYImagePtr_t & | image
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseImage().

virtual void libetonyek::KEYCollector::collectLayer | ( | const boost::optional< ID_t > & | id,
|  | bool | ref
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase, libetonyek::KEYContentCollector, and libetonyek::KEYThemeCollector.

Referenced by libetonyek::KEY2Parser::parseLayer(), and libetonyek::KEY2Parser::parseProxyMasterLayer().

virtual void libetonyek::KEYCollector::collectLayoutStyle | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< KEYPropertyMap > & | props,
|  | const boost::optional< std::string > & | ident,
|  | const boost::optional< std::string > & | parentIdent,
|  | bool | ref,
|  | bool | anonymous
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::emitLayoutStyle(), libetonyek::KEY2StyleParser::parse(), libetonyek::KEY2StyleParser::parsePropertyImpl(), and libetonyek::KEY2Parser::parseStyles().

virtual void libetonyek::KEYCollector::collectLeveled | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< KEYSize > & | size
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseLeveled().

virtual void libetonyek::KEYCollector::collectLine | ( | const boost::optional< ID_t > & | id,
|  | const KEYLinePtr_t & | line
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseLine().

virtual void libetonyek::KEYCollector::collectLineBreak | ( |  | ) |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseBr().

virtual void libetonyek::KEYCollector::collectListStyle | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< KEYPropertyMap > & | props,
|  | const boost::optional< std::string > & | ident,
|  | const boost::optional< std::string > & | parentIdent,
|  | bool | ref,
|  | bool | anonymous
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2StyleParser::parse(), libetonyek::KEY2StyleParser::parsePropertyImpl(), and libetonyek::KEY2Parser::parseStyles().

virtual void libetonyek::KEYCollector::collectMedia | ( | const boost::optional< ID_t > & | id | ) |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseMedia().

virtual void libetonyek::KEYCollector::collectMovieMedia | ( | const boost::optional< ID_t > & | id | ) |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseMovieMedia().

virtual void libetonyek::KEYCollector::collectNote | ( |  | ) |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseNotes().

virtual void libetonyek::KEYCollector::collectPage | ( | const boost::optional< ID_t > & | id | ) |
| pure virtual

Implemented in libetonyek::KEYContentCollector, and libetonyek::KEYThemeCollector.

Referenced by libetonyek::KEY2Parser::parseMasterSlide(), and libetonyek::KEY2Parser::parseSlide().

virtual void libetonyek::KEYCollector::collectParagraphStyle | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< KEYPropertyMap > & | props,
|  | const boost::optional< std::string > & | ident,
|  | const boost::optional< std::string > & | parentIdent,
|  | bool | ref,
|  | bool | anonymous
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2StyleParser::parse(), libetonyek::KEY2StyleParser::parsePropertyImpl(), and libetonyek::KEY2Parser::parseStyles().

virtual void libetonyek::KEYCollector::collectPlaceholderStyle | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< KEYPropertyMap > & | props,
|  | const boost::optional< std::string > & | ident,
|  | const boost::optional< std::string > & | parentIdent,
|  | bool | ref,
|  | bool | anonymous
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2StyleParser::parse(), and libetonyek::KEY2Parser::parsePlaceholder().

virtual void libetonyek::KEYCollector::collectPolygonPath | ( | const boost::optional< ID_t > & | id,
|  | const KEYSize & | size,
|  | unsigned | edges
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseScalarPath().

virtual void libetonyek::KEYCollector::collectPresentation | ( | const boost::optional< KEYSize > & | size | ) |
| pure virtual

Implemented in libetonyek::KEYContentCollector, and libetonyek::KEYThemeCollector.

Referenced by libetonyek::KEY2Parser::processXmlNode().

virtual void libetonyek::KEYCollector::collectRoundedRectanglePath | ( | const boost::optional< ID_t > & | id,
|  | const KEYSize & | size,
|  | double | radius
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseScalarPath().

virtual void libetonyek::KEYCollector::collectShape | ( | const boost::optional< ID_t > & | id | ) |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseConnectionLine(), and libetonyek::KEY2Parser::parseShape().

virtual void libetonyek::KEYCollector::collectSlideStyle | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< KEYPropertyMap > & | props,
|  | const boost::optional< std::string > & | ident,
|  | const boost::optional< std::string > & | parentIdent,
|  | bool | ref,
|  | bool | anonymous
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2StyleParser::parse().

virtual void libetonyek::KEYCollector::collectStarPath | ( | const boost::optional< ID_t > & | id,
|  | const KEYSize & | size,
|  | unsigned | points,
|  | double | innerRadius
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parsePointPath().

virtual void libetonyek::KEYCollector::collectStickyNote | ( |  | ) |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseStickyNote().

virtual void libetonyek::KEYCollector::collectStylesheet | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< ID_t > & | parent
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseStylesheet().

virtual void libetonyek::KEYCollector::collectTab | ( |  | ) |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseTab().

virtual void libetonyek::KEYCollector::collectTable | ( |  | ) |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2TableParser::parse().

virtual void libetonyek::KEYCollector::collectTableCell | ( | unsigned | row,
|  | unsigned | column,
|  | const boost::optional< std::string > & | content,
|  | unsigned | rowSpan,
|  | unsigned | columnSpan
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2TableParser::emitCell().

virtual void libetonyek::KEYCollector::collectTableRow | ( |  | ) |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

virtual void libetonyek::KEYCollector::collectTableSizes | ( | const KEYTable::RowSizes_t & | rowSizes,
|  | const KEYTable::ColumnSizes_t & | columnSizes
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2TableParser::parseDatasource().

virtual void libetonyek::KEYCollector::collectTabularStyle | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< KEYPropertyMap > & | props,
|  | const boost::optional< std::string > & | ident,
|  | const boost::optional< std::string > & | parentIdent,
|  | bool | ref,
|  | bool | anonymous
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2StyleParser::parse().

virtual void libetonyek::KEYCollector::collectText | ( | const boost::optional< ID_t > & | style,
|  | const std::string & | text
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseLink(), libetonyek::KEY2Parser::parseP(), and libetonyek::KEY2Parser::parseSpan().

virtual void libetonyek::KEYCollector::collectTextPlaceholder | ( | const boost::optional< ID_t > & | id,
|  | bool | title,
|  | bool | ref
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseDrawables(), and libetonyek::KEY2Parser::parsePlaceholder().

virtual void libetonyek::KEYCollector::collectUnfiltered | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< KEYSize > & | size,
|  | bool | ref
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseFilteredImage(), and libetonyek::KEY2Parser::parseUnfiltered().

virtual void libetonyek::KEYCollector::collectVectorStyle | ( | const boost::optional< ID_t > & | id,
|  | const boost::optional< KEYPropertyMap > & | props,
|  | const boost::optional< std::string > & | ident,
|  | const boost::optional< std::string > & | parentIdent,
|  | bool | ref,
|  | bool | anonymous
| ) |  |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2StyleParser::parse(), libetonyek::KEY2StyleParser::parsePropertyImpl(), and libetonyek::KEY2Parser::parseStyles().

virtual void libetonyek::KEYCollector::endGroup | ( |  | ) |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseGroup().

virtual void libetonyek::KEYCollector::endLayer | ( |  | ) |
| pure virtual

Implemented in libetonyek::KEYCollectorBase, libetonyek::KEYContentCollector, and libetonyek::KEYThemeCollector.

Referenced by libetonyek::KEY2Parser::parseLayer(), and libetonyek::KEY2Parser::parseProxyMasterLayer().

virtual void libetonyek::KEYCollector::endLevel | ( |  | ) |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2TableParser::parse(), libetonyek::KEY2Parser::parseDrawables(), libetonyek::KEY2Parser::parseGroup(), libetonyek::KEY2Parser::parseMedia(), and libetonyek::KEY2Parser::parseStickyNote().

virtual void libetonyek::KEYCollector::endPage | ( |  | ) |
| pure virtual

Implemented in libetonyek::KEYCollectorBase, libetonyek::KEYContentCollector, and libetonyek::KEYThemeCollector.

Referenced by libetonyek::KEY2Parser::parseMasterSlide(), and libetonyek::KEY2Parser::parseSlide().

virtual void libetonyek::KEYCollector::endParagraph | ( |  | ) |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseP().

virtual void libetonyek::KEYCollector::endSlides | ( |  | ) |
| pure virtual

Implemented in libetonyek::KEYContentCollector, and libetonyek::KEYThemeCollector.

Referenced by libetonyek::KEY2Parser::parseSlideList().

virtual void libetonyek::KEYCollector::endText | ( |  | ) |
| pure virtual

End of a text block.

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseNotes(), libetonyek::KEY2Parser::parsePlaceholder(), libetonyek::KEY2Parser::parseShape(), libetonyek::KEY2Parser::parseStickyNote(), and libetonyek::KEY2TableParser::parseT().

virtual void libetonyek::KEYCollector::endThemes | ( |  | ) |
| pure virtual

Implemented in libetonyek::KEYContentCollector, and libetonyek::KEYThemeCollector.

Referenced by libetonyek::KEY2Parser::parseThemeList().

virtual void libetonyek::KEYCollector::startGroup | ( |  | ) |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseGroup().

virtual void libetonyek::KEYCollector::startLayer | ( |  | ) |
| pure virtual

Implemented in libetonyek::KEYCollectorBase, libetonyek::KEYContentCollector, and libetonyek::KEYThemeCollector.

Referenced by libetonyek::KEY2Parser::parseLayer(), and libetonyek::KEY2Parser::parseProxyMasterLayer().

virtual void libetonyek::KEYCollector::startLevel | ( |  | ) |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2TableParser::parse(), libetonyek::KEY2Parser::parseDrawables(), libetonyek::KEY2Parser::parseGroup(), libetonyek::KEY2Parser::parseMedia(), and libetonyek::KEY2Parser::parseStickyNote().

virtual void libetonyek::KEYCollector::startPage | ( |  | ) |
| pure virtual

Implemented in libetonyek::KEYCollectorBase, libetonyek::KEYContentCollector, and libetonyek::KEYThemeCollector.

Referenced by libetonyek::KEY2Parser::parseMasterSlide(), and libetonyek::KEY2Parser::parseSlide().

virtual void libetonyek::KEYCollector::startParagraph | ( | const boost::optional< ID_t > & | style | ) |
| pure virtual

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseP().

virtual void libetonyek::KEYCollector::startSlides | ( |  | ) |
| pure virtual

Implemented in libetonyek::KEYContentCollector, and libetonyek::KEYThemeCollector.

Referenced by libetonyek::KEY2Parser::parseSlideList().

virtual void libetonyek::KEYCollector::startText | ( | bool | object | ) |
| pure virtual

Start of a block that can contain text.

This can be:

- a text shape
- a sticky note
- a placeholder
- a note.

Implemented in libetonyek::KEYCollectorBase.

Referenced by libetonyek::KEY2Parser::parseNotes(), libetonyek::KEY2Parser::parsePlaceholder(), libetonyek::KEY2Parser::parseShape(), libetonyek::KEY2Parser::parseStickyNote(), and libetonyek::KEY2TableParser::parseT().

virtual void libetonyek::KEYCollector::startThemes | ( |  | ) |
| pure virtual

Implemented in libetonyek::KEYContentCollector, and libetonyek::KEYThemeCollector.

Referenced by libetonyek::KEY2Parser::parseThemeList().

The documentation for this class was generated from the following files:

- KEYCollector.h
- KEYCollector.cpp